Subject: Re: [Pce] Alissa Cooper's Discuss on draft-ietf-pce-association-diversity-12: (with DISCUSS and COMMENT)

From: Mahend Negi <[email-masked]>
Date: Wed, 18 Dec 2019 22:04:09 +0530

Hi Alissa,
Thanks for the review, All the comments were addressed in the last version
itself.

Sections 5.4.1 and 5.5 address your comments.

https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.4.1
https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.5

Regards,
Mahendra

On Wed, Oct 30, 2019 at 9:09 PM Alissa Cooper via Datatracker <
[email-masked]> wrote:

> Alissa Cooper has entered the following ballot position for
> draft-ietf-pce-association-diversity-12: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pce-association-diversity/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> A couple of the points from the Gen-ART review warrant discussion I think
> (quoting directly from the review):
>
> (1) 'The relationship of this mechanism with SVEC seems to be important but
> is not clearly stated.  The relevant sections of the text seem to be:
> section 4 para 2, section 5.3, and section 5.4 from "[RFC5440] uses
> SVEC diversity flag" on.  I think that they need to be pulled into one
> section.  Then it will be possible to have a good description of the
> interaction with SVEC.'
>
> (2) 'The path computation effects of the P bit are described in the "P"
> item in section 5.2 and section 5.5.  But the descriptions are
> unclear, or perhaps they presume that there are only two LSPs in the
> group.  I think the intended meaning is that all of the LSPs in the
> group with P=1 are computed first, and then with those LSPs fixed, the
> LSPs in the group with P=0 are computed.  This will cause
> shortest-path constraints (and other objective functions) to be
> optimized on the P=1 LSPs, and those paths will not be de-optimized by
> competition from the other paths.  This should probably be pulled out
> of the description of the "P" in its TLV and put into a separate
> paragraph.'
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Please respond to the remainder of the Gen-ART review.
>
>
>

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 19 Dec 2019 13:04:36 -0500

Thanks. Dale, could you take a look?

Alissa

> On Dec 18, 2019, at 11:34 AM, Mahend Negi <[email-masked]> wrote:
> 
> Hi Alissa,
> Thanks for the review, All the comments were addressed in the last version itself.
> 
> https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.4.1 <https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.4.1>
> https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.5 <https://tools.ietf.org/html/draft-ietf-pce-association-diversity-12#section-5.5>
> 
> Regards,
> Mahendra
> 
> 
> 
> On Wed, Oct 30, 2019 at 9:09 PM Alissa Cooper via Datatracker <[email-masked] <mailto:[email-masked]>> wrote:
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html <https://www.ietf.org/iesg/statement/discuss-criteria.html>
> https://datatracker.ietf.org/doc/draft-ietf-pce-association-diversity/ <https://datatracker.ietf.org/doc/draft-ietf-pce-association-diversity/>
> 
> 
>